Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.behaviors
Class Intercepted<T>

    java.lang.Object
      org.picocontainer.behaviors.AbstractBehavior<T>
          org.picocontainer.behaviors.HiddenImplementation
              org.picocontainer.behaviors.Intercepted<T>

All Implemented Interfaces:
  Serializable, Behavior, ComponentAdapter, ComponentLifecycle, ComponentMonitorStrategy, LifecycleStrategy

    public class Intercepted<T>

extends HiddenImplementation

Author:
  Paul Hammant
See Also:
  Serialized Form

Nested Class Summary
`static interface` | `Intercepted.Controller`
`static class` | `Intercepted.ControllerImpl`
`class` | `Intercepted.ControllerWrapper`
`static class` | `Intercepted.InterceptorThreadLocal`

Nested classes/interfaces inherited from interface org.picocontainer.ComponentAdapter
`ComponentAdapter.NOTHING`

Field Summary

Fields inherited from class org.picocontainer.behaviors.AbstractBehavior
`delegate`

Constructor Summary
`Intercepted(ComponentAdapter delegate)`

Method Summary
`void` | `addPostInvocation(Class type, Object interceptor)`
`void` | `addPreInvocation(Class type, Object interceptor)`
`Intercepted.Controller` | `getController()`
`String` | `getDescriptor()` Get a string key descriptor of the component adapter.
`protected Object` | `invokeMethod(Object componentInstance, Method method, Object[] args, PicoContainer container)`

Methods inherited from class org.picocontainer.behaviors.HiddenImplementation
`createProxy, getComponentInstance`

Methods inherited from class org.picocontainer.behaviors.AbstractBehavior
`accept, changeMonitor, componentHasLifecycle, currentMonitor, dispose, dispose, findAdapterOfType, getComponentImplementation, getComponentInstance, getComponentKey, getDelegate, hasLifecycle, isStarted, start, start, stop, stop, toString, verify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Intercepted

    public Intercepted(ComponentAdapter delegate)

Method Detail

### addPreInvocation

    public void addPreInvocation(Class type,
                                 Object interceptor)

### addPostInvocation

    public void addPostInvocation(Class type,
                                  Object interceptor)

### invokeMethod

    protected Object invokeMethod(Object componentInstance,
                                  Method method,
                                  Object[] args,
                                  PicoContainer container)
                           throws Throwable

  Overrides:
    `invokeMethod` in class `HiddenImplementation`
  Throws:
    `Throwable`

### getController

    public Intercepted.Controller getController()

### getDescriptor

    public String getDescriptor()

  Description copied from interface: `ComponentAdapter`
  Get a string key descriptor of the component adapter.

  Specified by:
    `getDescriptor` in interface `ComponentAdapter`
  Overrides:
    `getDescriptor` in class `HiddenImplementation`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.